{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "$insert reactor_log_equ\r\ndeclare function center_window\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nAWData = field( CreateParam, char(245), 1 )\r\n\r\n* LOAD THE ARM AND WAND INFORMATION\r\n\r\n*Void = set_property( @window, '@Loading', 1 )\r\n\r\nControls = ''\r\nControls := 'EXTEND_HOME/'\r\nControls := 'LEFT_EXTEND/'\r\nControls := 'RIGHT_EXTEND/'\r\nControls := 'LONG_EXTEND/'\r\nControls := 'SHORT_EXTEND/'\r\nControls := 'EDGE_EXTEND/'\r\nControls := 'LSTEPS/'\r\nControls := 'ROTATE_EDGE/'\r\nControls := 'GSTEPS/'\r\nControls := 'PICKUP_DELAY/'\r\nControls := 'GAS_ON/'\r\nControls := 'GAS_OFF/'\r\nControls := 'DROPOFF_DELAY/'\r\nControls := 'VELOCITY_EXTEND/'\r\nControls := 'ACCELERATION_EXTEND/'\r\nControls := 'VELOCITY_ROTATE/'\r\nControls := 'ACCELERATION_ROTATE'\r\n\r\nswap '/' with @rm:@window:'.' in Controls\r\nControls = @window:'.':Controls\r\nconvert @fm to @rm in AWData\r\nvoid = set_property( Controls, 'TEXT', AWData )\r\nVoid = set_property( @window, '@Controls', Controls )\r\nreturn 1"
        }
    }
}